# $Revision: 1.16 $, $Date: 2011/08/08 17:37:29 $
# TODO
# ./configure[3000]: AX_WITH_PERL: not found - needed after regeneration

Summary:	Implementation of the SPF specification
Summary(pl.UTF-8):	Implementacja specyfikacji SPF
Name:		libspf2
Version:	1.2.9
Release:	3
License:	LGPL
Group:		Libraries
Source0:	http://libspf2.org/spf/%{name}-%{version}.tar.gz
# Source0-md5:	3305df4d1b13ca964d80b23bb5e4e2b6
Patch0:		%{name}-link.patch
URL:		http://www.libspf2.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	libtool
Obsoletes:	libspf_alt
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libspf2 is an implementation of the SPF specification as found at
<http://www.ietf.org/internet-drafts/draft-mengwong-spf-01.txt>.

%description -l pl.UTF-8
Libspf2 jest implementacją specyfikacji SPF, która znajduje się pod
<adresem
http://www.ietf.org/internet-drafts/draft-mengwong-spf-01.txt>.

%package tools
Summary:	Tools distributed with libspf2
Summary(pl.UTF-8):	Programy narzędziowe, dystrybuowane z libspf2
Group:		Networking/Utilities
Requires:	%{name} = %{version}-%{release}

%description tools
Tools distributed with libspf2; at the time of writing: spf_example,
spf_example_2mx, spfd, spfquery and spftest.

%description tools -l pl.UTF-8
Programy narzędziowe, dystrybuowane z libspf2; w momencie pisania tego
opisu: spf_example, spf_example_2mx, spfd, spfquery i spftest.

%package devel
Summary:	Header files for libspf2 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libspf2
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	libspf_alt-devel

%description devel
Header files for libspf2 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libspf2.

%package static
Summary:	Static libspf2 library
Summary(pl.UTF-8):	Statyczna biblioteka libspf2
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libspf_alt-static

%description static
Static libspf2 library.

%description static -l pl.UTF-8
Statyczna biblioteka libspf2.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README TODO LICENSES INSTALL
%attr(755,root,root) %{_libdir}/libspf2.so.*.*.*
%ghost %{_libdir}/libspf2.so.2

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/spf_example
%attr(755,root,root) %{_bindir}/spf_example_static
%attr(755,root,root) %{_bindir}/spfd
%attr(755,root,root) %{_bindir}/spfd_static
%attr(755,root,root) %{_bindir}/spfquery
%attr(755,root,root) %{_bindir}/spfquery_static
%attr(755,root,root) %{_bindir}/spftest
%attr(755,root,root) %{_bindir}/spftest_static

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libspf2.so
%{_libdir}/libspf2.la
%dir %{_includedir}/spf2
%{_includedir}/spf2/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libspf2.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libspf2.spec,v $
Revision 1.16  2011/08/08 17:37:29  glen
- add url, verbose files; rel 3

Revision 1.15  2009/05/03 14:59:51  hawk
- release 2

Revision 1.14  2008/11/17 20:47:31  arekm
- up to 1.2.9

Revision 1.13  2008/07/27 22:15:25  arekm
- release 3

Revision 1.12  2007-02-13 06:46:52  glen
- tabs in preamble

Revision 1.11  2007/02/12 00:49:05  baggins
- converted to UTF-8

Revision 1.10  2005/07/01 18:34:22  arekm
- rel 2; fix headers

Revision 1.9  2005/07/01 18:25:00  arekm
- up to 1.2.5

Revision 1.8  2005/05/31 21:39:57  twittner
- don't cp config.{sub,guess} - they are copied by %{__automake}

Revision 1.7  2005/05/31 17:51:15  twittner
- -ac.patch: fixed configure.ac: don't use AC_CONFIG_AUX_DIR[config] macro,
  copy config.{guess,sub} from automake dist.

Revision 1.6  2004/12/06 12:31:50  radek
- release 3: moved _bindir/* to the -tools subpackage to resolve
             conflict with perl-Mail-SPF-Query

Revision 1.5  2004/08/04 10:32:07  arekm
- obsoletes added to make ankry less zzedzacy czlowiek

Revision 1.4  2004/08/02 20:24:18  averne
- rel 1 for Ac

Revision 1.3  2004/07/28 20:57:20  arekm
- add link patch

Revision 1.2  2004/07/12 12:41:50  qboosh
- updated ietf draft URL

Revision 1.1  2004/07/12 12:37:17  speedy
- libspf2 implements the Sender Policy Framework, a part of the SPF/SRS protocol pair.
